Lua cache couldn't be downloaded. server is misconfigured

I get this error on all of the servers i join.
It only seems to happen to me and everyone else can play the server fine.

do you have your settings set to allow custom files?

Yes i do and i just re-installed gmod for a second time with out success, still getting the same error.

-Edit-
Alright something seems to have clicked into place and now everything works fine.

“Sync FastDL” If the function exsits. This error occurs when the FastDL cache differs from that of the server.